using FishFactoryContracts.Attributes;
using FishFactoryDataModels.Models;

namespace FishFactoryContracts.ViewModels
{
    /// <summary>
    /// Исполнитель, выполняющий заказы
    /// </summary>
    public class ImplementerViewModel : IImplementerModel
    {
		[Column(visible: false)]
        public int Id { get; set; }

        [Column(title: "ФИО исполнителя", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
        public string ImplementerFIO { get; set; } = string.Empty;

        [Column(title: "Пароль", width: 100)]
        public string Password { get; set; } = string.Empty;

        [Column(title: "Стаж работы", width: 50)]
        public int WorkExperience { get; set; }

        [Column(title: "Квалификация", width: 50)]
        public int Qualification { get; set; }
    }
}